# TdApi.GetStickers

Package it.ernytech.tdlib

## Class TdApi.GetStickers

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetStickers

Enclosing class:
  TdApi

    public static class TdApi.GetStickers
    extends TdApi.Function

Returns stickers from the installed sticker sets that correspond to a given emoji. If the emoji is not empty, favorite and recently used stickers may also be returned.

Returns `Stickers`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `emoji` String representation of emoji.
`int` `limit` Maximum number of stickers to be returned.

### Constructor Summary

Constructors
`GetStickers()` Default constructor.
`GetStickers​(java.lang.String emoji, int limit)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### emoji

    public java.lang.String emoji

String representation of emoji. If empty, returns all known installed stickers.

#### limit

    public int limit

Maximum number of stickers to be returned.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetStickers

    public GetStickers()

Default constructor.

#### GetStickers

    public GetStickers​(java.lang.String emoji,
                       int limit)

Constructor for initialization of all fields.

Parameters:
  `emoji` - String representation of emoji. If empty, returns all known installed stickers.
  `limit` - Maximum number of stickers to be returned.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR